# -*- coding: utf-8 -*-
# This file is part of the account-invoice-xrechnung-module
# from m-ds for Tryton. The COPYRIGHT file at the top level of
# this repository contains the full copyright notices and license terms.


xml_from_pdf = """<?xml version="1.0" encoding="UTF-8"?>
<rsm:CrossIndustryInvoice xmlns:rsm="urn:un:unece:uncefact:data:standard:CrossIndustryInvoice:100" xmlns:qdt="urn:un:unece:uncefact:data:standard:QualifiedDataType:100" xmlns:ram="urn:un:unece:uncefact:data:standard:ReusableAggregateBusinessInformationEntity:100" xmlns:udt="urn:un:unece:uncefact:data:standard:UnqualifiedDataType:100" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
    <rsm:ExchangedDocumentContext>
        <ram:GuidelineSpecifiedDocumentContextParameter>
            <ram:ID>urn:cen.eu:en16931:2017#conformant#urn:factur-x.eu:1p0:extended</ram:ID>
        </ram:GuidelineSpecifiedDocumentContextParameter>
    </rsm:ExchangedDocumentContext>
    <rsm:ExchangedDocument>
        <ram:ID>1</ram:ID>
        <ram:Name>Parts</ram:Name>
        <ram:TypeCode>380</ram:TypeCode>
        <ram:IssueDateTime>
        <udt:DateTimeString format="102">20240701</udt:DateTimeString>
        </ram:IssueDateTime>
    </rsm:ExchangedDocument>
    <rsm:SupplyChainTradeTransaction>
        <ram:IncludedSupplyChainTradeLineItem>
            <ram:AssociatedDocumentLineDocument>
                <ram:LineID>1</ram:LineID>
            </ram:AssociatedDocumentLineDocument>
            <ram:SpecifiedTradeProduct>
                <ram:Name/>
                <ram:Description>Product 1</ram:Description>
            </ram:SpecifiedTradeProduct>
            <ram:SpecifiedLineTradeAgreement>
                <ram:NetPriceProductTradePrice>
                    <ram:ChargeAmount currencyID="usd">50.00</ram:ChargeAmount>
                </ram:NetPriceProductTradePrice>
            </ram:SpecifiedLineTradeAgreement>
            <ram:SpecifiedLineTradeDelivery>
                <ram:BilledQuantity unitCode="C62">2.0</ram:BilledQuantity>
            </ram:SpecifiedLineTradeDelivery>
            <ram:SpecifiedLineTradeSettlement>
        <ram:ApplicableTradeTax>
            <ram:TypeCode>GST</ram:TypeCode>
            <ram:CategoryCode>S</ram:CategoryCode>
            <ram:RateApplicablePercent>20.0</ram:RateApplicablePercent>
        </ram:ApplicableTradeTax>
                <ram:SpecifiedTradeSettlementLineMonetarySummation>
                    <ram:LineTotalAmount currencyID="usd">100.00</ram:LineTotalAmount>
                </ram:SpecifiedTradeSettlementLineMonetarySummation>
            </ram:SpecifiedLineTradeSettlement>
        </ram:IncludedSupplyChainTradeLineItem>
        <ram:ApplicableHeaderTradeAgreement>
            <ram:SellerTradeParty>
        <ram:Name>m-ds</ram:Name>
        <ram:SpecifiedLegalOrganization>
        </ram:SpecifiedLegalOrganization>
        <ram:PostalTradeAddress>
        <ram:CountryID>DE</ram:CountryID>
    </ram:PostalTradeAddress>
            </ram:SellerTradeParty>
            <ram:BuyerTradeParty>
        <ram:Name>Payee</ram:Name>
        <ram:SpecifiedLegalOrganization>
        </ram:SpecifiedLegalOrganization>
        <ram:PostalTradeAddress>
        <ram:PostcodeCode>12345</ram:PostcodeCode>
            <ram:LineOne>Applicant Street 1</ram:LineOne>
        <ram:CityName>Usertown</ram:CityName>
        <ram:CountryID>DE</ram:CountryID>
    </ram:PostalTradeAddress>
            </ram:BuyerTradeParty>
            <ram:BuyerOrderReferencedDocument>
                <ram:IssuerAssignedID/>
            </ram:BuyerOrderReferencedDocument>
        </ram:ApplicableHeaderTradeAgreement>
        <ram:ApplicableHeaderTradeDelivery>
        </ram:ApplicableHeaderTradeDelivery>
        <ram:ApplicableHeaderTradeSettlement>
            <ram:PaymentReference>1</ram:PaymentReference>
            <ram:InvoiceCurrencyCode>usd</ram:InvoiceCurrencyCode>
                <ram:SpecifiedTradeSettlementPaymentMeans>
                    <ram:TypeCode>30</ram:TypeCode>
                    <ram:Information>Wire transfer</ram:Information>
                    <ram:PayeePartyCreditorFinancialAccount>
                        <ram:IBANID>DE02300209000106531065</ram:IBANID>
                        <ram:AccountName>Bank 123</ram:AccountName>
                    </ram:PayeePartyCreditorFinancialAccount>
                    <ram:PayeeSpecifiedCreditorFinancialInstitution>
                        <ram:BICID/>
                    </ram:PayeeSpecifiedCreditorFinancialInstitution>
                </ram:SpecifiedTradeSettlementPaymentMeans>
        <ram:ApplicableTradeTax>
            <ram:CalculatedAmount currencyID="usd">20.00</ram:CalculatedAmount>
            <ram:TypeCode>GST</ram:TypeCode>
            <ram:BasisAmount>100.00</ram:BasisAmount>
            <ram:CategoryCode>S</ram:CategoryCode>
            <ram:RateApplicablePercent>20.0</ram:RateApplicablePercent>
        </ram:ApplicableTradeTax>
            <ram:SpecifiedTradePaymentTerms>
                <ram:DueDateDateTime>
        <udt:DateTimeString format="102">%(datetoday)s</udt:DateTimeString>
                </ram:DueDateDateTime>
                <ram:PartialPaymentAmount currencyID="usd">120.00</ram:PartialPaymentAmount>
            </ram:SpecifiedTradePaymentTerms>
            <ram:SpecifiedTradeSettlementHeaderMonetarySummation>
                <ram:LineTotalAmount currencyID="usd">100.00</ram:LineTotalAmount>
                <ram:TaxBasisTotalAmount currencyID="usd">100.00</ram:TaxBasisTotalAmount>
                <ram:TaxTotalAmount currencyID="usd">20.00</ram:TaxTotalAmount>
                <ram:GrandTotalAmount currencyID="usd">120.00</ram:GrandTotalAmount>
                <ram:DuePayableAmount currencyID="usd">120.00</ram:DuePayableAmount>
            </ram:SpecifiedTradeSettlementHeaderMonetarySummation>
        </ram:ApplicableHeaderTradeSettlement>
    </rsm:SupplyChainTradeTransaction>
</rsm:CrossIndustryInvoice>"""
